Package javassist.bytecode

# Class SignatureAttribute.Type

java.lang.Object
javassist.bytecode.SignatureAttribute.Type

Direct Known Subclasses:
  `SignatureAttribute.BaseType`, `SignatureAttribute.ObjectType`

Enclosing class:
  `SignatureAttribute`

public abstract static class SignatureAttribute.Type extends Object
Primitive types and object types.

## Constructor Summary

Constructors
Constructor
Description
`Type()`

## Method Summary

Modifier and Type
Method
Description
`String`
`jvmTypeName()`
Returns the type name in the JVM internal style.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Type

public Type()

## Method Details

### jvmTypeName

public String jvmTypeName()
Returns the type name in the JVM internal style. For example, if the type is a nested class `foo.Bar.Baz`, then `foo.Bar$Baz` is returned.